Przeszukaj pomoc

Unikaj oszustw związanych z pomocą.Nigdy nie będziemy prosić Cię o dzwonienie na numer telefonu, wysyłanie SMS-ów ani o udostępnianie danych osobowych. Zgłoś podejrzaną aktywność, korzystając z opcji „Zgłoś nadużycie”.

Learn More

I downloaded the latest update of firefox for my mac and it is not compatible with my current OS. Is there a place where I can download an older version of firefox to run on my computer?

  • Nie ma odpowiedzi
  • 2 osoby mają ten problem
more options

I downloaded the latest installation of firefox and it is not compatible with my current OS. Is there any way to download an older version of firefox to my computer?

Wszystkie odpowiedzi (1)

more options

Firefox 4 requires at least OS X 10.5 and an Intel Mac.

For Mac 10.4 you can look at:

Firefox 3.6.x can be found here: